%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

%define _rbindir %{_exec_prefix}/bin
########################################################################
# On CentOS/RHEL, if the Software Configurations Library is installed
# and Python 2.7 is installed, then it is used. This is only available
# on CentOS 6.5 for the x86_64 architecture, at this time.
########################################################################
%define __SCL   %(if [ -d /opt/rh/python27 ]; then echo 1; else echo 0; fi)

%if 0%{?__SCL} > 0
	%define PYTHON     python27
	%define python_sitelib_old_1 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
	%define python_sitelib_old_2 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")
	%define python_sitelib %(echo python -c '"from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)"' | scl enable python27 -)
	%define _SCL_base %(echo $(dirname $(dirname `echo which python | scl enable python27 -`)))
	%define _bindir %(dirname `echo which python | scl enable python27 -`)
	%define _datadir %{_SCL_base}/share
	%define _mandir %{_datadir}/man
	%define _docdir %{_datadir}/doc
	%define  __os_install_post      \
	    /usr/lib/rpm/redhat/brp-compress; \
	    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}}; \
	    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip}; \
	    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump}; \
	    echo /usr/lib/rpm/brp-python-bytecompile python27 | scl enable %{PYTHON} - ; \
	    /usr/lib/rpm/redhat/brp-python-hardlink; \
	    %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars}
%else
	%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%endif

Summary:	dtfabric - Manage data types and structures in libyal projects

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		dtfabric
Version:	20180808
Release:	1%{?dist}

License:	ASL 2.0

Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/dtfabric/wiki

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 
%if 0%{?__SCL} > 0
BuildRequires:  python27-python-setuptools
Requires:       python27-python-setuptools
%else
BuildRequires:  python-setuptools
%endif

%description
dtfabric is a project to manage data types and structures, as used in the libyal projects.

%prep
########################################################################
# The system script that computes dependencies misidentifies the 
# python 2.7 dependency, so it is necessary to remove it from the
# dependency determination. 
########################################################################
%if 0%{?__SCL} > 0
cat > /tmp//pythondeps.sh << \EOF
#!/bin/sh
%{__python_requires} $* | sed -e 's/python(abi) = 2.7/python27-python(abi) = 2.7/'
EOF
chmod +x /tmp/pythondeps.sh
%define __python_requires /tmp/pythondeps.sh
%endif
%setup

%build
%if 0%{?__SCL} > 0
	echo python setup.py build | scl enable python27 -
%else
	%{__python} setup.py build
%endif

%install
%if 0%{?__SCL} > 0
	echo python setup.py install --single-version-externally-managed --root=$RPM_BUILD_ROOT  --prefix="%{_prefix}" | scl enable python27 -
%else
	%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"
%endif

%if 0%{?centos} == 7
rm -rf %{buildroot}/%{_docdir}/%{name}
mkdir %{buildroot}/%{_docdir}/%{name}-%{version}
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README AUTHORS LICENSE ACKNOWLEDGEMENTS
%attr(444, root, root)	%{python_sitelib}/%{name}*egg-info
%attr(755, root, root)	%{python_sitelib}/%{name}/
%attr(755, root, root)	%{_bindir}/validate-definitions.py
%if 0%{?centos} == 7
%attr(644, root, root)	%{_docdir}/%{name}-%{version}/
%endif

%changelog
* Sat Aug  8 2018 Lawrence R. Rogers <lrr@cert.org> 20180808-1
* Release 20180808-1
	Version 20180808

* Sat Jul  7 2018 Lawrence R. Rogers <lrr@cert.org> 20180707-1
* Release 20180707-1
	Version 20180707

* Mon Jun  4 2018 Lawrence R. Rogers <lrr@cert.org> 20180604-1
* Release 20180604-1
	Version 20180604

* Tue May 22 2018 Lawrence R. Rogers <lrr@cert.org> 20180522-1
* Release 20180522-1
	Version 20180522

* Mon May 21 2018 Lawrence R. Rogers <lrr@cert.org> 20180521-1
* Release 20180521-1
	Version 20180521

* Mon Mar 26 2018 Lawrence R. Rogers <lrr@cert.org> 20180325-1
* Release 20180325-1
	Version 20180325

* Fri Jun 30 2017 Lawrence R. Rogers <lrr@cert.org> 20170630-1
* Release 20170630-1
	Version 20170630

